---
title: FyT v1.0.0
language_tabs:
  - shell: Shell
  - http: HTTP
  - javascript: JavaScript
  - ruby: Ruby
  - python: Python
  - php: PHP
  - java: Java
  - go: Go
toc_footers: []
includes: []
search: true
code_clipboard: true
highlight_theme: darkula
headingLevel: 2
generator: "@tarslib/widdershins v4.0.17"

---

# 接口文档

> v1.0.0

Base URLs:

# Authentication

# project

## GET project_groupinfo

GET /project/groupinfo

### 请求参数

|名称|位置|类型|必选|说明|
|---|---|---|---|---|
|pid|query|integer| 否 |projectId|

> 返回示例

> 200 Response

```json
{}
```

### 返回结果

|状态码|状态码含义|说明|数据模型|
|---|---|---|---|
|200|[OK](https://tools.ietf.org/html/rfc7231#section-6.3.1)|成功|Inline|

### 返回数据结构

## POST project_mainpic

POST /project/mainpic

> Body 请求参数

```yaml
file: file://F:\Romio\图图图图图\jonas-vincent-xulIYVIbYIc-unsplash.jpg

```

### 请求参数

|名称|位置|类型|必选|说明|
|---|---|---|---|---|
|body|body|object| 否 |none|
|» file|body|string(binary)| 否 |none|

> 返回示例

> 200 Response

```json
{}
```

### 返回结果

|状态码|状态码含义|说明|数据模型|
|---|---|---|---|
|200|[OK](https://tools.ietf.org/html/rfc7231#section-6.3.1)|成功|Inline|
|431|[Request Header Fields Too Large](https://tools.ietf.org/html/rfc6585#section-5)|文件为空|Inline|

### 返回数据结构

## POST project_upload

POST /project/resources

上传资源文件
type 1 演示视频
type 2 文档

> Body 请求参数

```yaml
filename: 结项答辩
filetype: "1"
file: file://E:\下载\L10-循环神经网络.pdf
pid: "2"

```

### 请求参数

|名称|位置|类型|必选|说明|
|---|---|---|---|---|
|body|body|object| 否 |none|
|» filename|body|string| 否 |none|
|» filetype|body|integer| 是 |none|
|» file|body|string(binary)| 是 |none|
|» pid|body|integer| 是 |none|

> 返回示例

> 200 Response

```json
{}
```

### 返回结果

|状态码|状态码含义|说明|数据模型|
|---|---|---|---|
|200|[OK](https://tools.ietf.org/html/rfc7231#section-6.3.1)|成功|Inline|

### 返回数据结构

## POST project_apply

POST /project/apply

> Body 请求参数

```json
{
  "uid": "string",
  "pid": "string",
  "desire_level": 0,
  "match_level": 0,
  "status": 0,
  "email": "string"
}
```

### 请求参数

|名称|位置|类型|必选|说明|
|---|---|---|---|---|
|body|body|object| 否 |none|
|» uid|body|string| 是 |none|
|» pid|body|string| 是 |none|
|» desire_level|body|integer| 是 |none|
|» match_level|body|integer| 是 |none|
|» status|body|integer| 是 |none|
|» email|body|string| 是 |none|

> 返回示例

> 200 Response

```json
{}
```

### 返回结果

|状态码|状态码含义|说明|数据模型|
|---|---|---|---|
|200|[OK](https://tools.ietf.org/html/rfc7231#section-6.3.1)|成功|Inline|

### 返回数据结构

## PUT project_requirement

PUT /project/requirement

添加队友要求
前提是项目状态为1，即招募队友

### 请求参数

|名称|位置|类型|必选|说明|
|---|---|---|---|---|
|pid|query|integer| 否 |none|
|requirement|query|string| 否 |none|

> 返回示例

> 200 Response

```json
{}
```

### 返回结果

|状态码|状态码含义|说明|数据模型|
|---|---|---|---|
|200|[OK](https://tools.ietf.org/html/rfc7231#section-6.3.1)|成功|Inline|

### 返回数据结构

## PUT project_status

PUT /project/status

### 请求参数

|名称|位置|类型|必选|说明|
|---|---|---|---|---|
|pid|query|integer| 否 |none|
|status|query|string| 否 |s1 helper_wanted; s2 国创; s3 市创; s4 校创; s5 互联网＋; s6 个人项目|

> 返回示例

> 200 Response

```json
{}
```

### 返回结果

|状态码|状态码含义|说明|数据模型|
|---|---|---|---|
|200|[OK](https://tools.ietf.org/html/rfc7231#section-6.3.1)|成功|Inline|

### 返回数据结构

## GET project_searchbylabel

GET /project/searchbylabel

### 请求参数

|名称|位置|类型|必选|说明|
|---|---|---|---|---|
|label|query|string| 否 |none|

> 返回示例

> 200 Response

```json
{}
```

### 返回结果

|状态码|状态码含义|说明|数据模型|
|---|---|---|---|
|200|[OK](https://tools.ietf.org/html/rfc7231#section-6.3.1)|成功|Inline|

### 返回数据结构

## GET project_searchbytitle

GET /project/searchbytitle

### 请求参数

|名称|位置|类型|必选|说明|
|---|---|---|---|---|
|keyword|query|string| 否 |none|

> 返回示例

> 200 Response

```json
{}
```

### 返回结果

|状态码|状态码含义|说明|数据模型|
|---|---|---|---|
|200|[OK](https://tools.ietf.org/html/rfc7231#section-6.3.1)|成功|Inline|

### 返回数据结构

## GET project_download

GET /project/download

### 请求参数

|名称|位置|类型|必选|说明|
|---|---|---|---|---|
|resc_id|query|integer| 否 |none|

> 返回示例

> 200 Response

```json
{}
```

### 返回结果

|状态码|状态码含义|说明|数据模型|
|---|---|---|---|
|200|[OK](https://tools.ietf.org/html/rfc7231#section-6.3.1)|成功|Inline|

### 返回数据结构

## POST save

POST /project/save

> Body 请求参数

```json
{
  "title": "string",
  "intro": "string",
  "gid": "string",
  "done": 0,
  "startdate": "string",
  "ddl": "string",
  "tag": "string",
  "mainpic_path": "string"
}
```

### 请求参数

|名称|位置|类型|必选|说明|
|---|---|---|---|---|
|body|body|object| 否 |none|
|» title|body|string| 是 |none|
|» intro|body|string| 是 |none|
|» gid|body|string| 是 |none|
|» done|body|integer| 是 |none|
|» startdate|body|string| 是 |none|
|» ddl|body|string| 是 |none|
|» tag|body|string| 是 |none|
|» mainpic_path|body|string| 是 |none|

> 返回示例

> 200 Response

```json
{}
```

### 返回结果

|状态码|状态码含义|说明|数据模型|
|---|---|---|---|
|200|[OK](https://tools.ietf.org/html/rfc7231#section-6.3.1)|成功|Inline|

### 返回数据结构

## GET homeload

GET /project/homeload

### 请求参数

|名称|位置|类型|必选|说明|
|---|---|---|---|---|
|pageNum|query|string| 否 |none|
|pageSize|query|string| 否 |none|

> 返回示例

> 200 Response

```json
{}
```

### 返回结果

|状态码|状态码含义|说明|数据模型|
|---|---|---|---|
|200|[OK](https://tools.ietf.org/html/rfc7231#section-6.3.1)|成功|Inline|

### 返回数据结构

## GET byid

GET /project/byid

### 请求参数

|名称|位置|类型|必选|说明|
|---|---|---|---|---|
|pid|query|string| 否 |none|

> 返回示例

> 200 Response

```json
{}
```

### 返回结果

|状态码|状态码含义|说明|数据模型|
|---|---|---|---|
|200|[OK](https://tools.ietf.org/html/rfc7231#section-6.3.1)|成功|Inline|

### 返回数据结构

# user

## GET byid

GET /user/byid

### 请求参数

|名称|位置|类型|必选|说明|
|---|---|---|---|---|
|uid|query|string| 否 |none|

> 返回示例

> 200 Response

```json
{}
```

### 返回结果

|状态码|状态码含义|说明|数据模型|
|---|---|---|---|
|200|[OK](https://tools.ietf.org/html/rfc7231#section-6.3.1)|成功|Inline|

### 返回数据结构

## POST upload_avatar

POST /user/avatar

> Body 请求参数

```yaml
uid: "10215508888"
pic: file://F:\Romio\图图图图图\th.jpg

```

### 请求参数

|名称|位置|类型|必选|说明|
|---|---|---|---|---|
|body|body|object| 否 |none|
|» uid|body|string| 否 |none|
|» pic|body|string(binary)| 否 |none|

> 返回示例

> 200 Response

```json
{}
```

### 返回结果

|状态码|状态码含义|说明|数据模型|
|---|---|---|---|
|200|[OK](https://tools.ietf.org/html/rfc7231#section-6.3.1)|成功|Inline|

### 返回数据结构

## GET get_avatar

GET /user/getavatar

### 请求参数

|名称|位置|类型|必选|说明|
|---|---|---|---|---|
|xuehao|query|string| 否 |none|

> 返回示例

> 200 Response

```json
{}
```

### 返回结果

|状态码|状态码含义|说明|数据模型|
|---|---|---|---|
|200|[OK](https://tools.ietf.org/html/rfc7231#section-6.3.1)|成功|Inline|

### 返回数据结构

## GET byxuehao

GET /user/byxuehao

### 请求参数

|名称|位置|类型|必选|说明|
|---|---|---|---|---|
|xuehao|query|string| 否 |none|

> 返回示例

> 200 Response

```json
{}
```

### 返回结果

|状态码|状态码含义|说明|数据模型|
|---|---|---|---|
|200|[OK](https://tools.ietf.org/html/rfc7231#section-6.3.1)|成功|Inline|

### 返回数据结构

## POST register

POST /user/register

> Body 请求参数

```json
{
  "uid": "string",
  "name": "string",
  "xuehao": "string",
  "avatar": "string",
  "password": "string"
}
```

### 请求参数

|名称|位置|类型|必选|说明|
|---|---|---|---|---|
|body|body|object| 否 |none|
|» uid|body|string| 是 |none|
|» name|body|string| 是 |none|
|» xuehao|body|string| 是 |none|
|» avatar|body|string| 是 |none|
|» password|body|string| 是 |none|

> 返回示例

> 200 Response

```json
{}
```

### 返回结果

|状态码|状态码含义|说明|数据模型|
|---|---|---|---|
|200|[OK](https://tools.ietf.org/html/rfc7231#section-6.3.1)|成功|Inline|

### 返回数据结构

# group

## GET group_add

GET /group/add

> Body 请求参数

```json
{
  "groupName": "string",
  "resp": 0,
  "uid": "string"
}
```

### 请求参数

|名称|位置|类型|必选|说明|
|---|---|---|---|---|
|groupName|query|string| 否 |none|
|uid|query|string| 否 |none|
|resp|query|integer| 否 |none|
|body|body|object| 否 |none|
|» groupName|body|string| 是 |none|
|» resp|body|integer| 是 |none|
|» uid|body|string| 是 |none|

> 返回示例

> 200 Response

```json
{}
```

### 返回结果

|状态码|状态码含义|说明|数据模型|
|---|---|---|---|
|200|[OK](https://tools.ietf.org/html/rfc7231#section-6.3.1)|成功|Inline|

### 返回数据结构

## GET group_load

GET /group/load

### 请求参数

|名称|位置|类型|必选|说明|
|---|---|---|---|---|
|uid|query|string| 否 |none|
|pageNum|query|integer| 否 |none|
|pageSize|query|integer| 否 |none|

> 返回示例

> 200 Response

```json
{}
```

### 返回结果

|状态码|状态码含义|说明|数据模型|
|---|---|---|---|
|200|[OK](https://tools.ietf.org/html/rfc7231#section-6.3.1)|成功|Inline|

### 返回数据结构

## GET bykey

GET /group/bykey

### 请求参数

|名称|位置|类型|必选|说明|
|---|---|---|---|---|
|key|query|string| 否 |none|

> 返回示例

> 200 Response

```json
{}
```

### 返回结果

|状态码|状态码含义|说明|数据模型|
|---|---|---|---|
|200|[OK](https://tools.ietf.org/html/rfc7231#section-6.3.1)|成功|Inline|

### 返回数据结构

# auth

## GET get_code

GET /authorize

### 请求参数

|名称|位置|类型|必选|说明|
|---|---|---|---|---|
|scope|query|string| 否 |none|
|redirect_uri|query|string| 否 |none|
|response_type|query|string| 否 |none|
|client_id|query|string| 否 |none|
|state|query|string| 否 |none|

> 返回示例

> 200 Response

### 返回结果

|状态码|状态码含义|说明|数据模型|
|---|---|---|---|
|200|[OK](https://tools.ietf.org/html/rfc7231#section-6.3.1)|成功|Inline|

### 返回数据结构

## POST get_token

POST /token

> Body 请求参数

```json
{
  "code": "string",
  "grant_type": "string",
  "client_id": "string",
  "client_secret": "string",
  "scope": "string",
  "redirect_uri": "string"
}
```

### 请求参数

|名称|位置|类型|必选|说明|
|---|---|---|---|---|
|code|query|string| 否 |none|
|grant_type|query|string| 否 |none|
|client_id|query|string| 否 |none|
|client_secret|query|string| 否 |none|
|scope|query|string| 否 |none|
|redirect_uri|query|string| 否 |none|
|body|body|object| 否 |none|
|» code|body|string| 是 |none|
|» grant_type|body|string| 是 |none|
|» client_id|body|string| 是 |none|
|» client_secret|body|string| 是 |none|
|» scope|body|string| 是 |none|
|» redirect_uri|body|string| 是 |none|

> 返回示例

> 200 Response

```json
{}
```

### 返回结果

|状态码|状态码含义|说明|数据模型|
|---|---|---|---|
|200|[OK](https://tools.ietf.org/html/rfc7231#section-6.3.1)|成功|Inline|

### 返回数据结构

## GET userinfo

GET /userinfo

> Body 请求参数

```json
{
  "access_token": "string"
}
```

### 请求参数

|名称|位置|类型|必选|说明|
|---|---|---|---|---|
|Authorization|header|string| 否 |none|
|body|body|object| 否 |none|
|» access_token|body|string| 是 |none|

> 返回示例

> 200 Response

```json
{}
```

### 返回结果

|状态码|状态码含义|说明|数据模型|
|---|---|---|---|
|200|[OK](https://tools.ietf.org/html/rfc7231#section-6.3.1)|成功|Inline|

### 返回数据结构

# compitition

## GET load

GET /compitition/load

### 请求参数

|名称|位置|类型|必选|说明|
|---|---|---|---|---|
|pageNum|query|integer| 否 |none|
|pageSize|query|integer| 否 |none|

> 返回示例

> 200 Response

```json
{}
```

### 返回结果

|状态码|状态码含义|说明|数据模型|
|---|---|---|---|
|200|[OK](https://tools.ietf.org/html/rfc7231#section-6.3.1)|成功|Inline|

### 返回数据结构

# 数据模型

<h2 id="tocS_user">user</h2>

<a id="schemauser"></a>
<a id="schema_user"></a>
<a id="tocSuser"></a>
<a id="tocsuser"></a>

```json
{
  "uid": "string",
  "name": "string",
  "xuehao": "string",
  "avatar": "string",
  "password": "string"
}

```

### 属性

|名称|类型|必选|约束|中文名|说明|
|---|---|---|---|---|---|
|uid|string|true|none||none|
|name|string|true|none||none|
|xuehao|string|true|none||none|
|avatar|string|true|none||none|
|password|string|true|none||none|

<h2 id="tocS_apply">apply</h2>

<a id="schemaapply"></a>
<a id="schema_apply"></a>
<a id="tocSapply"></a>
<a id="tocsapply"></a>

```json
{
  "uid": "string",
  "pid": "string",
  "desire_level": 0,
  "match_level": 0,
  "status": 0,
  "email": "string"
}

```

### 属性

|名称|类型|必选|约束|中文名|说明|
|---|---|---|---|---|---|
|uid|string|true|none||none|
|pid|string|true|none||none|
|desire_level|integer|true|none||none|
|match_level|integer|true|none||none|
|status|integer|true|none||none|
|email|string|true|none||none|

<h2 id="tocS_group">group</h2>

<a id="schemagroup"></a>
<a id="schema_group"></a>
<a id="tocSgroup"></a>
<a id="tocsgroup"></a>

```json
{
  "groupName": "string",
  "resp": 0,
  "uid": "string"
}

```

### 属性

|名称|类型|必选|约束|中文名|说明|
|---|---|---|---|---|---|
|groupName|string|true|none||none|
|resp|integer|true|none||none|
|uid|string|true|none||none|

<h2 id="tocS_Tag">Tag</h2>

<a id="schematag"></a>
<a id="schema_Tag"></a>
<a id="tocStag"></a>
<a id="tocstag"></a>

```json
{
  "id": 1,
  "name": "string"
}

```

### 属性

|名称|类型|必选|约束|中文名|说明|
|---|---|---|---|---|---|
|id|integer(int64)|false|none||标签ID编号|
|name|string|false|none||标签名称|

<h2 id="tocS_project">project</h2>

<a id="schemaproject"></a>
<a id="schema_project"></a>
<a id="tocSproject"></a>
<a id="tocsproject"></a>

```json
{
  "pid": "string",
  "title": "string",
  "intro": "string",
  "gid": "string",
  "done": 0,
  "startdate": "string",
  "ddl": "string",
  "tag": "string",
  "mainpic_path": "string"
}

```

### 属性

|名称|类型|必选|约束|中文名|说明|
|---|---|---|---|---|---|
|pid|string|true|none||none|
|title|string|true|none||none|
|intro|string|true|none||none|
|gid|string|true|none||none|
|done|integer|true|none||none|
|startdate|string|true|none||none|
|ddl|string|true|none||none|
|tag|string|true|none||none|
|mainpic_path|string|true|none||none|

<h2 id="tocS_Category">Category</h2>

<a id="schemacategory"></a>
<a id="schema_Category"></a>
<a id="tocScategory"></a>
<a id="tocscategory"></a>

```json
{
  "id": 1,
  "name": "string"
}

```

### 属性

|名称|类型|必选|约束|中文名|说明|
|---|---|---|---|---|---|
|id|integer(int64)|false|none||分组ID编号|
|name|string|false|none||分组名称|

<h2 id="tocS_Pet">Pet</h2>

<a id="schemapet"></a>
<a id="schema_Pet"></a>
<a id="tocSpet"></a>
<a id="tocspet"></a>

```json
{
  "id": 1,
  "category": {
    "id": 1,
    "name": "string"
  },
  "name": "doggie",
  "photoUrls": [
    "string"
  ],
  "tags": [
    {
      "id": 1,
      "name": "string"
    }
  ],
  "status": "available"
}

```

### 属性

|名称|类型|必选|约束|中文名|说明|
|---|---|---|---|---|---|
|id|integer(int64)|true|none||宠物ID编号|
|category|[Category](#schemacategory)|true|none||分组|
|name|string|true|none||名称|
|photoUrls|[string]|true|none||照片URL|
|tags|[[Tag](#schematag)]|true|none||标签|
|status|string|true|none||宠物销售状态|

#### 枚举值

|属性|值|
|---|---|
|status|available|
|status|pending|
|status|sold|

